ChiliProject - Bug # 873: Incorrect error message text for groups

Status: Closed Priority:

Author: John Parker Category: User interface
Created: 2012-02-07 Assignee: Felix Schéfer
Updated: 2012-03-28 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: The following is displayed when adding a group name greater than 30 characters long.

Last name is too long (maximum is 30 characters)

Associated revisions

2012-03-28 08:56 am - Robert Mitwicki
Correct error message on group name #873

History

2012-02-08 06:24 am - Tom Rochette

| confirm the message is incorrect.

Repro step:

1. Go to the *Groups* page in the administration section

2. Click on *New group*
3. Type in a group name longer than 30 characters.

Result: Incorrect error message *Last name is too long (maximum is 30 characters)* is displayed.

This is a side-effect of using the lastname variable in app/models/group.rb which inherits from Principal (problematic Liskov substitution).

2012-02-08 07:57 am - Toshi MARUYAMA
FYI:
http://www.redmine.org/projects/redmine/repository/revisions/8768

2012-02-16 07:11 pm - John Yani

Is 3.0.0 released or not? Why is this issue still open?

2012-02-16 07:21 pm - Holger Just
- Target version deleted (3.0.0)

- Affected version set to 3.0.0

2012-03-23 09:06 am - Robert Mitwicki
- Status changed from Open to Ready for review

Hi,

| fix that problem and | add test for that:

https://github.com/mitfik/chiliproject/commit/efdOb1dec91c820bd70c4085d6e9ef63dd76dcdc
is waiting in pull request:

https://github.com/chiliproject/chiliproject/pull/167

P.S. I just add this fix to existing pull request, give me know if that is ok.

2012-03-26 07:18 am - Robert Mitwicki

| moved fix to separate branch as is should be:

https://github.com/chiliproject/chiliproject/pull/175

2012-03-27 11:08 am - Felix Schéfer
- Assignee set to Felix Schéfer

See the 2 comments on GitHub.

2012-03-28 06:57 am - Felix Schéfer

- Target version set to 3.1.0

- Status changed from Ready for review to Closed

Reworked, squashed and committed in commit:c6af5c7, thanks!
